curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"levels": [
{
"bin_id": 1001,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
],
"total": 102
}
Bin levels
Bin levels
GET
/
api
/
v1
/
warehouse-bins
/
{id}
/
levels
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"levels": [
{
"bin_id": 1001,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
],
"total": 102
}
Path parameters
integer (int32)
required
Bin ID
Response
BinLevelListResponse
BinLevelResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
404 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/warehouse-bins/{id}/levels' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"levels": [
{
"bin_id": 1001,
"quantity_allocated": "string",
"quantity_available": "string",
"quantity_on_hand": "string",
"sku": "SKU-TENT-2P-GRN",
"updated_at": "2026-08-31T14:22:05Z",
"warehouse_id": 1001
}
],
"total": 102
}
Last modified on August 31, 2026